{% extends 'basic.html' %}

{% block title %}Posts{% endblock %}
{% block content %}
<h1>Posts</h1>
<table class="table">
    <thead class="thead-dark">
        <tr>
            <th scope="col">#</th>
            <th scope="col">Title</th>
            <th scope="col">Author</th>
            <th scope="col">Updated</th>
        </tr>
    </thead>
    <tbody>
        {% set ns = namespace(found=1) %}
        {% for post in posts %}
        <tr>
            <th scope="row">{{ ns.found }}</th>
            {% set ns.found = ns.found + 1 %}
            <td><a href="/posts/{{ post.id }}">{{ post.title }}</a></td>
            <td>{{ post.author }}</td>
            <td>{{ post.creation_time.strftime("%I:%M %d-%m-%Y" ) }}</td>
        </tr>
        {% endfor %}
    </tbody>
</table>
{% endblock %}